﻿ @{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["MenuType"] = ViewData["MenuType"];
 

}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<div class="row clearfix scrolltab">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="header">
                <h2>@ViewData["PageName"]   </h2>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-sm-4">
                        <label for="Name">Tìm theo tên nhóm</label>
                        @*<button onclick="recognizeName('#NameTeam')" class="btn btn-success"><i class="fa fa-volume-up"></i> </button>*@
                        <div class="form-group">
                            <input type="text" class="form-control" for="TeamNameSearch" id="TeamNameSearch">
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <label for="ddlDepartment">Bộ phận</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="ddlDepartment" id="ddlDepartmentSearch">
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <label for="Departments">Nhân viên/Leader</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="Name" id="ddlEmpSearch">
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="Status">Trạng thái</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="Name" id="ddlStatusSearch">
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-12">
                        <div class="mt-4">
                            <button onclick="SearchTeam()" class="btn btn-success ladda-button" data-style="expand-right" id="btn-searchteam"><i class="fa fa-search"></i> Tìm kiếm</button>
                            <button onclick="OpenFormAddteam()" data-toggle="modal" data-target="#openformadd" class="btn btn-info"><i class="fa fa-plus"></i> Thêm mới</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="listteam col-lg-12 col-md-12 col-sm-12">
        <div class="row clearfix" id="listteams">
             
        </div>
    </div>
     

</div>
<div class="modal fade" id="openformadd" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="title" id="team_formtitle">THÊM MỚI TEAM</h4>
            </div>
            <div class="modal-body">
                <form id="formaddteam">
                    <input name="IDTeam" id="IDTeam" value="0" hidden />
                    <div class="form-row">
                        <div class="form-group col-md-7">
                            <label for="TeamName">Tên nhóm</label>
                            <input type="text" id="teamName" class="form-control" required="">
                        </div>
                        <div class="form-group col-md-5">
                            <label for="teamStatus">Trạng thái</label>
                            <input type="text" id="teamStatus">
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label for="teamDepart">Đơn vị / phòng ban </label>
                                    <input type="text" id="teamDepart">
                                </div>
                                <div class="form-group col-md-12" id="showddl_leader">
                                    <label for="teamLeader">Chọn Leader </label>
                                    <input type="text" id="teamLeader">
                                </div>
                                <div class=" form-group col-md-12" id="showddl_teammember">
                                    <label for="teamMember">Chọn Member </label>
                                    <input type="text" id="teamMember">
                                </div>
                                <div class=" form-group col-md-12" id="showddl_teammember">
                                    <label for="teamMember">Ghi chú</label>
                                    <textarea id="Description" class="form-control" ></textarea>
                                </div>
                            </div> 
                        </div> 
                        <div class="form-group col-md-6" id="showddl_formexample">
                            <div class="row align-items-center team-lead">
                                <div class="col-lg-4 col-md-6 col-sm-12">
                                    <label for="teamLeader">Team Example : </label>
                                    <img class="rounded-circle img-thumbnail mx-auto d-block mb-2 leader_image" id="leader_image" src="~/Upload/avatar.png" alt="">
                                </div>
                                <div class="col-lg-8 col-md-6 col-sm-12">
                                    <h6 class="project-title text-primary mb-2 font-13" id="leader_name"></h6> 
                                    <p class="font-13">Team Lead</p> 
                                </div>
                            </div>
                            <div class="align-items-center d-flex">
                                <span class="mb-0 mr-2">Thành viên team :</span>
                                <ul class="list-unstyled team-info margin-0" id="list_team_member"></ul>
                            </div>
                            <p class="pt-3 mb-0 font-16"><small id="teammember_count"></small></p>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success ladda-button" data-style="expand-right" id="btn-add" onclick="AddTeam()"><i class="fa fa-check-circle"></i> <span> Thêm mới</span></button>
                <button type="button" class="btn btn-warning ladda-button" data-style="expand-right" id="btn-edit" onclick="EditTeam()"><i class="fa fa-check-circle"></i> <span> Điều chỉnh</span></button>
                <button type="button" class="btn btn-danger" data-dismiss="modal" onclick="CloseFormAddTeam()"><i class="icon-power"></i> Đóng</button>
            </div>
        </div>
    </div>
</div>


@section css{
    <!-- layout css -->
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/nestable/jquery-nestable.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />
    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common-material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />

    <!-- custom css -->
    <link href="~/css/manager/custom-kendo.css" rel="stylesheet" />
    <link href="~/css/manager/team/teamstyle.css" rel="stylesheet" />
}
@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>
    <!-- Assets js -->
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/vendor/summernote/dist/summernote.js"></script>

    <!-- Function js -->
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>

    <script src="~/lib/kendo/library/kendo.all.min.js"></script>

    <script src="~/js/manager/base.js"></script>
    <script src="~/js/manager/kendocontroller.js"></script>
    <script src="~/js/manager/team/teamFunction.js"></script>
    <script src="~/js/speechtotext.js"></script>
}

